<?php
    include_once('conexao.php');
    $sql = "SELECT * FROM tab_dados";
    try{
        $query = $bd->prepare($sql);
        $query->execute();
        $resultado = $query->fetchAll(PDO::FETCH_ASSOC);
    }catch(PDOException $e){
        echo $e->getMessage();
    }
?>
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title></title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<style type="text/css">
        .largura {
            width: 100%;
        }
        .esquerda {
            width: 15%;
            height: 30px;
            float: left;
            text-align: right;
            padding-right: 10px;
            font-weight: bold;
        }
        .direita {
            width: 85%;
            height: 30px;
            float: right;
        }
        .barras {
            height: 20px;
            color: white;
            position: relative;
            top: 50%;
            transform: translateY(-50%);
            font-size: 12px;
            padding-left: 5px;
            border-radius: 4px;
            cursor: pointer;
            box-shadow: 2px 2px 2px #555;
        }

    </style>
</head>
<body class="d-flex flex-column h-100">
	
	<!-- Área de conteúdo do site -->
	<section class="container">
		<h1>Gráfico em HTML5, CSS3, PHP e MySQL</h1>
		<div class="largura mt-5">
                
            <?php
            foreach($resultado as $r){ ?>
    <div class="esquerda">
                    <div><?php echo $r['mes']; ?></div>
                </div>
                <div class="direita">
                    <div class="barras" 
                         style="width: <?php echo $r['valor']; ?>%; background-color: <?php echo $r['cor']; ?>;" 
                         title="<?php echo $r['valor']; ?>%"
                         data-toggle="tooltip" 
                         data-placement="top"><?php echo $r['valor']; ?>%
                    </div>
                </div>
            <?php } ?></div>
	</section>


<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
<script>
	$(document).ready(function(){
		$('[data-toggle="tooltip"]').tooltip();   
	});
</script>
</body>
</html>